diff mbox series

[-v3,6/7] ext4/035: skip this test if the scratch device does not support 1k block sizes

Message ID 20220629124540.175775-7-tytso@mit.edu (mailing list archive)
State New, archived
Headers show
Series Miscellaneous ext4 test fix ups | expand

Commit Message

Theodore Ts'o June 29, 2022, 12:45 p.m. UTC
Signed-off-by: Theodore Ts'o <tytso@mit.edu>
---
 tests/ext4/035 | 3 +++
 1 file changed, 3 insertions(+)

Comments

Zorro Lang June 29, 2022, 1:14 p.m. UTC | #1
On Wed, Jun 29, 2022 at 08:45:39AM -0400, Theodore Ts'o wrote:
> Signed-off-by: Theodore Ts'o <tytso@mit.edu>
> ---

Good to me,
Reviewed-by: Zorro Lang <zlang@redhat.com>

>  tests/ext4/035 | 3 +++
>  1 file changed, 3 insertions(+)
> 
> diff --git a/tests/ext4/035 b/tests/ext4/035
> index cad3595b..1f26e766 100755
> --- a/tests/ext4/035
> +++ b/tests/ext4/035
> @@ -26,6 +26,9 @@ _exclude_scratch_mount_option dax
>  _require_command "$RESIZE2FS_PROG" resize2fs
>  
>  $MKFS_EXT4_PROG -F -b 1024 -E "resize=262144" $SCRATCH_DEV 32768 >> $seqres.full 2>&1
> +if [ $? -ne 0 ]; then
> +    _notrun "Can't make file system with a block size of 1024"
> +fi
>  _scratch_mount
>  
>  echo "Resizing to 262145 blocks"
> -- 
> 2.31.0
>
diff mbox series

Patch

diff --git a/tests/ext4/035 b/tests/ext4/035
index cad3595b..1f26e766 100755
--- a/tests/ext4/035
+++ b/tests/ext4/035
@@ -26,6 +26,9 @@  _exclude_scratch_mount_option dax
 _require_command "$RESIZE2FS_PROG" resize2fs
 
 $MKFS_EXT4_PROG -F -b 1024 -E "resize=262144" $SCRATCH_DEV 32768 >> $seqres.full 2>&1
+if [ $? -ne 0 ]; then
+    _notrun "Can't make file system with a block size of 1024"
+fi
 _scratch_mount
 
 echo "Resizing to 262145 blocks"